de.caff.util.args

## Class AbstractBasicArgument

- java.lang.Object
- - de.caff.util.args.AbstractBasicArgument

- All Implemented Interfaces:
    Argument, SwitchOrArgument
  Direct Known Subclasses:
    AbstractBasicMultipleArgument, SingleArgument

      public abstract class AbstractBasicArgument
      extends java.lang.Object
      implements Argument

  Basic implementation of an argumet taking care of name and description.
  Since:
    January 27, 2019
  Author:
    Rammi

- - ### Field Summary

    - ### Fields inherited from interface de.caff.util.args.Argument

      `ARGUMENT_FORMAT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractBasicArgument(java.lang.String name, java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppearance()` Get the appearance of this switch or argument on the command line.
    `java.lang.String` | `getDescription()` Get a short description for this switch.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.args.Argument

      `getMaximalCount, getMinimalCount, isOptional, isSwitch`

    - ### Methods inherited from interface de.caff.util.args.SwitchOrArgument

      `consumeArgument, isVarLength`

- - ### Constructor Detail

    - #### AbstractBasicArgument

          protected AbstractBasicArgument(@NotNull
                                          java.lang.String name,
                                          @NotNull
                                          java.lang.String description)

  - ### Method Detail

    - #### getAppearance

          @NotNull
          public java.lang.String getAppearance()

      Description copied from interface: `SwitchOrArgument`
      Get the appearance of this switch or argument on the command line.
      Specified by:
        `getAppearance` in interface `SwitchOrArgument`
      Returns:
        appearance

    - #### getDescription

          @NotNull
          public java.lang.String getDescription()

      Description copied from interface: `SwitchOrArgument`
      Get a short description for this switch.
      Specified by:
        `getDescription` in interface `SwitchOrArgument`
      Returns:
        short description